Subject: bug#46233: 28.0.50; python-mode font-lock assignment issues

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 14 Jun 2022 15:43:06 +0200

Михаил Панарин <[email-masked]> writes:

> 2. Open the file with emacs -Q
>
> You will see that variables `spam` and `bar` are highlighted differently
> in all 3 cases.
> `spam`:
>   not highlighted at all in cases `foo` and `foo2`
> `bar`:
>   not highlighted correctly in cases `foo` and `foo3`

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I can reproduce this in Emacs 28, but not in Emacs 29, so it seems like
this has been fixed in the time since this was reported, and I'm
therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no